Package com.pixelmed.network

## Class ApplicationEntityMap

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.TreeMap
    - - com.pixelmed.network.ApplicationEntityMap

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map`, `java.util.NavigableMap`, `java.util.SortedMap`

      public class ApplicationEntityMap
      extends java.util.TreeMap

  This class provides a list of known Application Entities, indexed by AET.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationEntityMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PresentationAddress` | `getPresentationAddress​(java.lang.String applicationEntityTitle)` | Return the presentation address of the specified AE.
    `java.lang.String` | `getPrimaryDeviceType​(java.lang.String applicationEntityTitle)` | Return the primary device type of the specified AE.
    `java.lang.String` | `getQueryModel​(java.lang.String applicationEntityTitle)` | Return the query model supported by the specified AE.
    `java.lang.Object` | `put​(java.lang.Object key, java.lang.Object value)` |
    `void` | `put​(java.lang.String applicationEntityTitle, PresentationAddress presentationAddress, java.lang.String queryModel, java.lang.String primaryDeviceType)` | Add an entry for the specified AE.
    `java.lang.String` | `toString()` | Return a String representing this object's value.

    - ### Methods inherited from class java.util.TreeMap

      `ceilingEntry, ceilingKey, clear, clone, comparator, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, forEach, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, navigableKeySet, pollFirstEntry, pollLastEntry, putAll, remove, replace, replace, replaceAll, size, subMap, subMap, tailMap, tailMap, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, isEmpty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, getOrDefault, hashCode, isEmpty, merge, putIfAbsent, remove`

- - ### Constructor Detail

    - #### ApplicationEntityMap

          public ApplicationEntityMap()

  - ### Method Detail

    - #### put

          public void put​(java.lang.String applicationEntityTitle,
                          PresentationAddress presentationAddress,
                          java.lang.String queryModel,
                          java.lang.String primaryDeviceType)

      Add an entry for the specified AE.

      Parameters:
        `applicationEntityTitle` - the AE to describe
        `presentationAddress` - the presentation address of the AE
        `queryModel` - the string label of the query model, or null if AE does not support queries or model is unknown
        `primaryDeviceType` - the primaryDeviceType (may be multiple comma-separated values), or null if none or unknown

    - #### put

          public java.lang.Object put​(java.lang.Object key,
                                      java.lang.Object value)

      Specified by:
        `put` in interface `java.util.Map`
      Overrides:
        `put` in class `java.util.TreeMap`

    - #### getPresentationAddress

          public PresentationAddress getPresentationAddress​(java.lang.String applicationEntityTitle)

      Return the presentation address of the specified AE.

      Parameters:
        `applicationEntityTitle` -
      Returns:
        the presentation address, or null if no such AE

    - #### getQueryModel

          public java.lang.String getQueryModel​(java.lang.String applicationEntityTitle)

      Return the query model supported by the specified AE.

      The query model string may be `NetworkApplicationProperties.StudyRootQueryModel` or `NetworkApplicationProperties.PatientRootQueryModel` or `NetworkApplicationProperties.PatientStudyOnlyQueryModel`.

      Parameters:
        `applicationEntityTitle` -
      Returns:
        string label of the query model, or null if no such AE or no AE does not support queries

    - #### getPrimaryDeviceType

          public java.lang.String getPrimaryDeviceType​(java.lang.String applicationEntityTitle)

      Return the primary device type of the specified AE.

      Parameters:
        `applicationEntityTitle` -
      Returns:
        primary device type, or null if none or not known

    - #### toString

          public java.lang.String toString()

      Return a String representing this object's value.

      Overrides:
        `toString` in class `java.util.AbstractMap`
      Returns:
        a string representation of the value of this object